//==============================================================================
//  Copyright (C) BAY9, 2014
//==============================================================================
  
  // ---------------------------------------------------------------------------
  // Top module interface
  wire                                  wlan_0_resetIn;
  wire                                  wlan_0_resetOut;
  
  wire         [WlanAdcDacWidth_C-1:0]  wlan_0_adcRe;
  wire         [WlanAdcDacWidth_C-1:0]  wlan_0_adcIm;
  wire                                  wlan_0_adc_or;
  
  wire         [WlanAdcDacWidth_C-1:0]  wlan_0_dacRe;
  wire         [WlanAdcDacWidth_C-1:0]  wlan_0_dacIm;
  wire                                  wlan_0_dac_ir;

  wire        [WlanAttnSelWidth_C-1:0]  wlan_0_attn;
  wire                                  wlan_0_attn_or;  

  wire                                  wlan_0_paOn;
  wire                                  wlan_0_rxOn;
  wire                                  wlan_0_txOn;

  wire                                  wlan_0_twbClk;
  wire                                  wlan_0_twbDat;
  wire                                  wlan_0_twbEn;

  wire           [WlanDataWidth_C-1:0]  wlan_0_dataTx;
  wire                                  wlan_0_dataTx_ir;
  wire                                  wlan_0_dataTx_or;
  wire           [WlanDataWidth_C-1:0]  wlan_0_dataRx;
  wire                                  wlan_0_dataRx_or;
  
  wire                                  wlan_0_ctrlSel;

  wire                                  wlan_0_uartOut;
  wire                                  wlan_0_uartIn;
                                        
  wire            [WlanCtrlWidth_C-1:0] wlan_0_ctrlIn;    
  wire                                  wlan_0_ctrlIn_or;           
  wire                                  wlan_0_ctrlIn_ir;           
  
  wire            [WlanCtrlWidth_C-1:0] wlan_0_ctrlOut;
  wire                                  wlan_0_ctrlOut_or;
  wire                                  wlan_0_ctrlOut_ir;
 
  wire           [WlanGpioWidth_C-1:0]  wlan_0_gpo;
  wire           [WlanGpioWidth_C-1:0]  wlan_0_gpi;
  wire        [WlanStatLedWidth_C-1:0]  wlan_0_statLed;
  
  // Top module instance
  wlan wlan_0(clk,
              wlan_0_resetIn,
              wlan_0_resetOut,

              wlan_0_adcRe,
              wlan_0_adcIm,
              wlan_0_adc_or,
              
              wlan_0_dacRe,
              wlan_0_dacIm,
              wlan_0_dac_ir,

              wlan_0_attn, wlan_0_attn_or,
              
              wlan_0_paOn,
              wlan_0_txOn,
              wlan_0_rxOn,
              
              wlan_0_twbClk,
              wlan_0_twbDat,
              wlan_0_twbEn,
              
              wlan_0_dataTx, wlan_0_dataTx_ir, wlan_0_dataTx_or,
              wlan_0_dataRx, wlan_0_dataRx_or,

              wlan_0_ctrlSel,
              wlan_0_uartOut,
              wlan_0_uartIn,
              wlan_0_ctrlOut, wlan_0_ctrlOut_or, wlan_0_ctrlOut_ir,
              wlan_0_ctrlIn,  wlan_0_ctrlIn_or,  wlan_0_ctrlIn_ir,

              wlan_0_gpo, 
              wlan_0_gpi, 
              wlan_0_statLed);
  
  // ---------------------------------------------------------------------------
